{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Updates an event. This method supports patch semantics.","properties":{"query":{"type":"object","properties":{"fields":{"description":"Selector specifying which fields to include in a partial response.","type":"string"},"prettyPrint":{"default":true,"description":"Returns response with indentations and line breaks.","type":"boolean"},"alwaysIncludeEmail":{"description":"Deprecated and ignored. A value will always be returned in the email field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided).","type":"boolean"},"conferenceDataVersion":{"description":"Version number of conference data supported by the API client. Version 0 assumes no conference data support and ignores conference data in the event's body. Version 1 enables support for copying of ConferenceData as well as for creating new conferences using the createRequest field of conferenceData. The default is 0.","maximum":1,"minimum":0,"type":"integer"},"eventLabelVersion":{"description":"Version number of the event label feature supported by the API client. Version 0 assumes no event label support and processes the colorId field for color management. Version 1 enables support for event labels, and processes the eventLabelId in the event's body. In this case, the colorId field is ignored. The default is 0.","maximum":1,"minimum":0,"type":"integer"},"maxAttendees":{"description":"The maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.","minimum":1,"type":"integer"},"sendNotifications":{"description":"Deprecated. Please use sendUpdates instead.\n\nWhether to send notifications about the event update (for example, description changes, etc.). Note that some emails might still be sent even if you set the value to false. The default is false.","type":"boolean"},"sendUpdates":{"description":"Guests who should receive notifications about the event update (for example, title changes, etc.).","enum":["all","externalOnly","none"],"type":"string"},"supportsAttachments":{"description":"Whether API client performing operation supports event attachments. Optional. The default is False.","type":"boolean"}},"required":[],"additionalProperties":false},"path":{"type":"object","properties":{"calendarId":{"description":"Calendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the \"primary\" keyword.","type":"string"},"eventId":{"description":"Event identifier.","type":"string"}},"required":["calendarId","eventId"],"additionalProperties":false},"body":{"$ref":"#/definitions/Event"}},"required":["path","body"],"additionalProperties":false,"definitions":{"Event":{"properties":{"anyoneCanAddSelf":{"default":false,"description":"Whether anyone can invite themselves to the event (deprecated). Optional. The default is False.","type":"boolean"},"attachments":{"description":"File attachments for the event.\nIn order to modify attachments the supportsAttachments request parameter should be set to true.\nThere can be at most 25 attachments per event,","items":{"$ref":"#/definitions/EventAttachment"},"type":"array"},"attendees":{"description":"The attendees of the event. See the Events with attendees guide for more information on scheduling events with other calendar users. Service accounts need to use domain-wide delegation of authority to populate the attendee list.","items":{"$ref":"#/definitions/EventAttendee"},"type":"array"},"attendeesOmitted":{"default":false,"description":"Whether attendees may have been omitted from the event's representation. When retrieving an event, this may be due to a restriction specified by the maxAttendee query parameter. When updating an event, this can be used to only update the participant's response. Optional. The default is False.","type":"boolean"},"birthdayProperties":{"$ref":"#/definitions/EventBirthdayProperties"},"colorId":{"description":"The color of the event. This is an ID referring to an entry in the event section of the colors definition (see the  colors endpoint). Optional.","type":"string"},"conferenceData":{"$ref":"#/definitions/ConferenceData"},"created":{"description":"Creation time of the event (as a RFC3339 timestamp). Read-only.","format":"date-time","type":"string"},"creator":{"description":"The creator of the event. Read-only.","properties":{"displayName":{"description":"The creator's name, if available.","type":"string"},"email":{"description":"The creator's email address, if available.","type":"string"},"id":{"description":"The creator's Profile ID, if available.","type":"string"},"self":{"default":false,"description":"Whether the creator corresponds to the calendar on which this copy of the event appears. Read-only. The default is False.","type":"boolean"}},"type":"object"},"description":{"description":"Description of the event. Can contain HTML. Optional.","type":"string"},"end":{"$ref":"#/definitions/EventDateTime"},"endTimeUnspecified":{"default":false,"description":"Whether the end time is actually unspecified. An end time is still provided for compatibility reasons, even if this attribute is set to True. The default is False.","type":"boolean"},"etag":{"description":"ETag of the resource.","type":"string"},"eventLabelId":{"description":"The ID of the event label assigned to the event. Optional. This refers to the ID of an entry in the labelProperties.eventLabels property of the calendar (see the Calendars.get endpoint.)\nThis property supersedes the index-based colorId property. To set or change this property, you need to specify eventLabelVersion=1 in the parameters of the insert, import, update, and patch methods.\nSetting an empty string, or not setting this field at all, will remove the existing label from the event.","type":"string"},"eventType":{"default":"default","description":"Specific type of the event. This cannot be modified after the event is created. Possible values are:  \n- \"birthday\" - A special all-day event with an annual recurrence. \n- \"default\" - A regular event or not further specified. \n- \"focusTime\" - A focus-time event. \n- \"fromGmail\" - An event from Gmail. This type of event cannot be created. \n- \"outOfOffice\" - An out-of-office event. \n- \"workingLocation\" - A working location event.","type":"string"},"extendedProperties":{"description":"Extended properties of the event.","properties":{"private":{"additionalProperties":{"description":"The name of the private property and the corresponding value.","type":"string"},"description":"Properties that are private to the copy of the event that appears on this calendar.","type":"object"},"shared":{"additionalProperties":{"description":"The name of the shared property and the corresponding value.","type":"string"},"description":"Properties that are shared between copies of the event on other attendees' calendars.","type":"object"}},"type":"object"},"focusTimeProperties":{"$ref":"#/definitions/EventFocusTimeProperties"},"gadget":{"description":"A gadget that extends this event. Gadgets are deprecated; this structure is instead only used for returning birthday calendar metadata.","properties":{"display":{"description":"The gadget's display mode. Deprecated. Possible values are:  \n- \"icon\" - The gadget displays next to the event's title in the calendar view. \n- \"chip\" - The gadget displays when the event is clicked.","type":"string"},"height":{"description":"The gadget's height in pixels. The height must be an integer greater than 0. Optional. Deprecated.","type":"integer"},"iconLink":{"description":"The gadget's icon URL. The URL scheme must be HTTPS. Deprecated.","type":"string"},"link":{"description":"The gadget's URL. The URL scheme must be HTTPS. Deprecated.","type":"string"},"preferences":{"additionalProperties":{"description":"The preference name and corresponding value.","type":"string"},"description":"Preferences.","type":"object"},"title":{"description":"The gadget's title. Deprecated.","type":"string"},"type":{"description":"The gadget's type. Deprecated.","type":"string"},"width":{"description":"The gadget's width in pixels. The width must be an integer greater than 0. Optional. Deprecated.","type":"integer"}},"type":"object"},"guestsCanInviteOthers":{"default":true,"description":"Whether attendees other than the organizer can invite others to the event. Optional. The default is True.","type":"boolean"},"guestsCanModify":{"default":false,"description":"Whether attendees other than the organizer can modify the event. Optional. The default is False.","type":"boolean"},"guestsCanSeeOtherGuests":{"default":true,"description":"Whether attendees other than the organizer can see who the event's attendees are. Optional. The default is True.","type":"boolean"},"hangoutLink":{"description":"An absolute link to the Google Hangout associated with this event. Read-only.","type":"string"},"htmlLink":{"description":"An absolute link to this event in the Google Calendar Web UI. Read-only.","type":"string"},"iCalUID":{"description":"Event unique identifier as defined in RFC5545. It is used to uniquely identify events accross calendaring systems and must be supplied when importing events via the import method.\nNote that the iCalUID and the id are not identical and only one of them should be supplied at event creation time. One difference in their semantics is that in recurring events, all occurrences of one event have different ids while they all share the same iCalUIDs. To retrieve an event using its iCalUID, call the events.list method using the iCalUID parameter. To retrieve an event using its id, call the events.get method.","type":"string"},"id":{"description":"Opaque identifier of the event. When creating new single or recurring events, you can specify their IDs. Provided IDs must follow these rules:  \n- characters allowed in the ID are those used in base32hex encoding, i.e. lowercase letters a-v and digits 0-9, see section 3.1.2 in RFC2938 \n- the length of the ID must be between 5 and 1024 characters \n- the ID must be unique per calendar  Due to the globally distributed nature of the system, we cannot guarantee that ID collisions will be detected at event creation time. To minimize the risk of collisions we recommend using an established UUID algorithm such as one described in RFC4122.\nIf you do not specify an ID, it will be automatically generated by the server.\nNote that the icalUID and the id are not identical and only one of them should be supplied at event creation time. One difference in their semantics is that in recurring events, all occurrences of one event have different ids while they all share the same icalUIDs.","type":"string"},"kind":{"default":"calendar#event","description":"Type of the resource (\"calendar#event\").","type":"string"},"location":{"description":"Geographic location of the event as free-form text. Optional.","type":"string"},"locked":{"default":false,"description":"Whether this is a locked event copy where no changes can be made to the main event fields \"summary\", \"description\", \"location\", \"start\", \"end\" or \"recurrence\". The default is False. Read-Only.","type":"boolean"},"organizer":{"description":"The organizer of the event. If the organizer is also an attendee, this is indicated with a separate entry in attendees with the organizer field set to True. To change the organizer, use the move operation. Read-only, except when importing an event.","properties":{"displayName":{"description":"The organizer's name, if available.","type":"string"},"email":{"description":"The organizer's email address, if available. It must be a valid email address as per RFC5322.","type":"string"},"id":{"description":"The organizer's Profile ID, if available.","type":"string"},"self":{"default":false,"description":"Whether the organizer corresponds to the calendar on which this copy of the event appears. Read-only. The default is False.","type":"boolean"}},"type":"object"},"originalStartTime":{"$ref":"#/definitions/EventDateTime"},"outOfOfficeProperties":{"$ref":"#/definitions/EventOutOfOfficeProperties"},"privateCopy":{"default":false,"description":"If set to True, Event propagation is disabled. Note that it is not the same thing as Private event properties. Optional. Immutable. The default is False.","type":"boolean"},"recurrence":{"description":"List of RRULE, EXRULE, RDATE and EXDATE lines for a recurring event, as specified in RFC5545. Note that DTSTART and DTEND lines are not allowed in this field; event start and end times are specified in the start and end fields. This field is omitted for single events or instances of recurring events.","items":{"type":"string"},"type":"array"},"recurringEventId":{"description":"For an instance of a recurring event, this is the id of the recurring event to which this instance belongs. Immutable.","type":"string"},"reminders":{"description":"Information about the event's reminders for the authenticated user. Note that changing reminders does not also change the updated property of the enclosing event.","properties":{"overrides":{"description":"If the event doesn't use the default reminders, this lists the reminders specific to the event, or, if not set, indicates that no reminders are set for this event. The maximum number of override reminders is 5.","items":{"$ref":"#/definitions/EventReminder"},"type":"array"},"useDefault":{"description":"Whether the default reminders of the calendar apply to the event.","type":"boolean"}},"type":"object"},"sequence":{"description":"Sequence number as per iCalendar.","type":"integer"},"source":{"description":"Source from which the event was created. For example, a web page, an email message or any document identifiable by an URL with HTTP or HTTPS scheme. Can only be seen or modified by the creator of the event.","properties":{"title":{"description":"Title of the source; for example a title of a web page or an email subject.","type":"string"},"url":{"description":"URL of the source pointing to a resource. The URL scheme must be HTTP or HTTPS.","type":"string"}},"type":"object"},"start":{"$ref":"#/definitions/EventDateTime"},"status":{"description":"Status of the event. Optional. Possible values are:  \n- \"confirmed\" - The event is confirmed. This is the default status. \n- \"tentative\" - The event is tentatively confirmed. \n- \"cancelled\" - The event is cancelled (deleted). The list method returns cancelled events only on incremental sync (when syncToken or updatedMin are specified) or if the showDeleted flag is set to true. The get method always returns them.\nA cancelled status represents two different states depending on the event type:  \n- Cancelled exceptions of an uncancelled recurring event indicate that this instance should no longer be presented to the user. Clients should store these events for the lifetime of the parent recurring event.\nCancelled exceptions are only guaranteed to have values for the id, recurringEventId and originalStartTime fields populated. The other fields might be empty.  \n- All other cancelled events represent deleted events. Clients should remove their locally synced copies. Such cancelled events will eventually disappear, so do not rely on them being available indefinitely.\nDeleted events are only guaranteed to have the id field populated.   On the organizer's calendar, cancelled events continue to expose event details (summary, location, etc.) so that they can be restored (undeleted). Similarly, the events to which the user was invited and that they manually removed continue to provide details. However, incremental sync requests with showDeleted set to false will not return these details.\nIf an event changes its organizer (for example via the move operation) and the original organizer is not on the attendee list, it will leave behind a cancelled event where only the id field is guaranteed to be populated.","type":"string"},"summary":{"description":"Title of the event.","type":"string"},"transparency":{"default":"opaque","description":"Whether the event blocks time on the calendar. Optional. Possible values are:  \n- \"opaque\" - Default value. The event does block time on the calendar. This is equivalent to setting Show me as to Busy in the Calendar UI. \n- \"transparent\" - The event does not block time on the calendar. This is equivalent to setting Show me as to Available in the Calendar UI.","type":"string"},"updated":{"description":"Last modification time of the main event data (as a RFC3339 timestamp). Updating event reminders will not cause this to change. Read-only.","format":"date-time","type":"string"},"visibility":{"default":"default","description":"Visibility of the event. Optional. Possible values are:  \n- \"default\" - Uses the default visibility for events on the calendar. This is the default value. \n- \"public\" - The event is public and event details are visible to all readers of the calendar. \n- \"private\" - The event is private and only event attendees may view event details. \n- \"confidential\" - The event is private. This value is provided for compatibility reasons.  \nNote on recurring events: Changing the visibility of a single instance of a recurring event can affect all instances of the series. If the new setting is more restrictive (e.g. from public to private), it is applied to all instances. If the new setting is less restrictive (e.g. from private to public), the change is ignored. To make a recurring event less restrictive, you must update the parent recurring event.","type":"string"},"workingLocationProperties":{"$ref":"#/definitions/EventWorkingLocationProperties"}},"type":"object"},"EventAttachment":{"properties":{"fileId":{"description":"ID of the attached file. Read-only.\nFor Google Drive files, this is the ID of the corresponding Files resource entry in the Drive API.","type":"string"},"fileUrl":{"description":"URL link to the attachment.\nFor adding Google Drive file attachments use the same format as in alternateLink property of the Files resource in the Drive API.\nRequired when adding an attachment.","type":"string"},"iconLink":{"description":"URL link to the attachment's icon. This field can only be modified for custom third-party attachments.","type":"string"},"mimeType":{"description":"Internet media type (MIME type) of the attachment.","type":"string"},"title":{"description":"Attachment title.","type":"string"}},"type":"object"},"EventAttendee":{"properties":{"additionalGuests":{"default":0,"description":"Number of additional guests. Optional. The default is 0.","type":"integer"},"asyncOperation":{"default":"","description":"If present, indicates the status of an asynchronous operation ongoing for this attendee (e.g. listing of members of large attendee groups). Read-only. The default is to not be present.\nPossible values are:  \n- \"inProgress\" - The asynchronous operation is in progress. \n- (not present) - Otherwise.","type":"string"},"comment":{"description":"The attendee's response comment. Optional.","type":"string"},"displayName":{"description":"The attendee's name, if available. Optional.","type":"string"},"email":{"description":"The attendee's email address, if available. This field must be present when adding an attendee. It must be a valid email address as per RFC5322.\nRequired when adding an attendee.","type":"string"},"id":{"description":"The attendee's Profile ID, if available.","type":"string"},"optional":{"default":false,"description":"Whether this is an optional attendee. Optional. The default is False.","type":"boolean"},"organizer":{"description":"Whether the attendee is the organizer of the event. Read-only. The default is False.","type":"boolean"},"resource":{"default":false,"description":"Whether the attendee is a resource. Can only be set when the attendee is added to the event for the first time. Subsequent modifications are ignored. Optional. The default is False.","type":"boolean"},"responseStatus":{"description":"The attendee's response status. Possible values are:  \n- \"needsAction\" - The attendee has not responded to the invitation (recommended for new events). \n- \"declined\" - The attendee has declined the invitation. \n- \"tentative\" - The attendee has tentatively accepted the invitation. \n- \"accepted\" - The attendee has accepted the invitation.  Warning: If you add an event using the values declined, tentative, or accepted, attendees with the \"Add invitations to my calendar\" setting set to \"When I respond to invitation in email\" or \"Only if the sender is known\" might have their response reset to needsAction and won't see an event in their calendar unless they change their response in the event invitation email. Furthermore, if more than 200 guests are invited to the event, response status is not propagated to the guests.","type":"string"},"self":{"default":false,"description":"Whether this entry represents the calendar on which this copy of the event appears. Read-only. The default is False.","type":"boolean"}},"type":"object"},"EventBirthdayProperties":{"properties":{"contact":{"description":"Resource name of the contact this birthday event is linked to. This can be used to fetch contact details from People API. Format: \"people/c12345\". Read-only.","type":"string"},"customTypeName":{"description":"Custom type label specified for this event. This is populated if birthdayProperties.type is set to \"custom\". Read-only.","type":"string"},"type":{"default":"birthday","description":"Type of birthday or special event. Possible values are:  \n- \"anniversary\" - An anniversary other than birthday. Always has a contact. \n- \"birthday\" - A birthday event. This is the default value. \n- \"custom\" - A special date whose label is further specified in the customTypeName field. Always has a contact. \n- \"other\" - A special date which does not fall into the other categories, and does not have a custom label. Always has a contact. \n- \"self\" - Calendar owner's own birthday. Cannot have a contact.  The Calendar API only supports creating events with the type \"birthday\". The type cannot be changed after the event is created.","type":"string"}},"type":"object"},"ConferenceData":{"properties":{"conferenceId":{"description":"The ID of the conference.\nCan be used by developers to keep track of conferences, should not be displayed to users.\nThe ID value is formed differently for each conference solution type:  \n- eventHangout: ID is not set. (This conference type is deprecated.)\n- eventNamedHangout: ID is the name of the Hangout. (This conference type is deprecated.)\n- hangoutsMeet: ID is the 10-letter meeting code, for example aaa-bbbb-ccc.\n- addOn: ID is defined by the third-party provider.  Optional.","type":"string"},"conferenceSolution":{"$ref":"#/definitions/ConferenceSolution"},"createRequest":{"$ref":"#/definitions/CreateConferenceRequest"},"entryPoints":{"description":"Information about individual conference entry points, such as URLs or phone numbers.\nAll of them must belong to the same conference.\nEither conferenceSolution and at least one entryPoint, or createRequest is required.","items":{"$ref":"#/definitions/EntryPoint"},"type":"array"},"notes":{"description":"Additional notes (such as instructions from the domain administrator, legal notices) to display to the user. Can contain HTML. The maximum length is 2048 characters. Optional.","type":"string"},"parameters":{"$ref":"#/definitions/ConferenceParameters"},"signature":{"description":"The signature of the conference data.\nGenerated on server side.\nUnset for a conference with a failed create request.\nOptional for a conference with a pending create request.","type":"string"}},"type":"object"},"EventDateTime":{"properties":{"date":{"description":"The date, in the format \"yyyy-mm-dd\", if this is an all-day event.","format":"date","type":"string"},"dateTime":{"description":"The time, as a combined date-time value (formatted according to RFC3339). A time zone offset is required unless a time zone is explicitly specified in timeZone.","format":"date-time","type":"string"},"timeZone":{"description":"The time zone in which the time is specified. (Formatted as an IANA Time Zone Database name, e.g. \"Europe/Zurich\".) For recurring events this field is required and specifies the time zone in which the recurrence is expanded. For single events this field is optional and indicates a custom time zone for the event start/end.","type":"string"}},"type":"object"},"EventFocusTimeProperties":{"properties":{"autoDeclineMode":{"description":"Whether to decline meeting invitations which overlap Focus Time events. Valid values are declineNone, meaning that no meeting invitations are declined; declineAllConflictingInvitations, meaning that all conflicting meeting invitations that conflict with the event are declined; and declineOnlyNewConflictingInvitations, meaning that only new conflicting meeting invitations which arrive while the Focus Time event is present are to be declined.","type":"string"},"chatStatus":{"description":"The status to mark the user in Chat and related products. This can be available or doNotDisturb.","type":"string"},"declineMessage":{"description":"Response message to set if an existing event or new invitation is automatically declined by Calendar.","type":"string"}},"type":"object"},"EventOutOfOfficeProperties":{"properties":{"autoDeclineMode":{"description":"Whether to decline meeting invitations which overlap Out of office events. Valid values are declineNone, meaning that no meeting invitations are declined; declineAllConflictingInvitations, meaning that all conflicting meeting invitations that conflict with the event are declined; and declineOnlyNewConflictingInvitations, meaning that only new conflicting meeting invitations which arrive while the Out of office event is present are to be declined.","type":"string"},"declineMessage":{"description":"Response message to set if an existing event or new invitation is automatically declined by Calendar.","type":"string"}},"type":"object"},"EventReminder":{"properties":{"method":{"description":"The method used by this reminder. Possible values are:  \n- \"email\" - Reminders are sent via email. \n- \"popup\" - Reminders are sent via a UI popup.  \nRequired when adding a reminder.","type":"string"},"minutes":{"description":"Number of minutes before the start of the event when the reminder should trigger. Valid values are between 0 and 40320 (4 weeks in minutes).\nRequired when adding a reminder.","type":"integer"}},"type":"object"},"EventWorkingLocationProperties":{"properties":{"customLocation":{"description":"If present, specifies that the user is working from a custom location.","properties":{"label":{"description":"An optional extra label for additional information.","type":"string"}},"type":"object"},"homeOffice":{"description":"If present, specifies that the user is working at home."},"officeLocation":{"description":"If present, specifies that the user is working from an office.","properties":{"buildingId":{"description":"An optional building identifier. This should reference a building ID in the organization's Resources database.","type":"string"},"deskId":{"description":"An optional desk identifier.","type":"string"},"floorId":{"description":"An optional floor identifier.","type":"string"},"floorSectionId":{"description":"An optional floor section identifier.","type":"string"},"label":{"description":"The office name that's displayed in Calendar Web and Mobile clients. We recommend you reference a building name in the organization's Resources database.","type":"string"}},"type":"object"},"type":{"description":"Type of the working location. Possible values are:  \n- \"homeOffice\" - The user is working at home. \n- \"officeLocation\" - The user is working from an office. \n- \"customLocation\" - The user is working from a custom location.  Any details are specified in a sub-field of the specified name, but this field may be missing if empty. Any other fields are ignored.\nRequired when adding working location properties.","type":"string"}},"type":"object"},"ConferenceSolution":{"properties":{"iconUri":{"description":"The user-visible icon for this solution.","type":"string"},"key":{"$ref":"#/definitions/ConferenceSolutionKey"},"name":{"description":"The user-visible name of this solution. Not localized.","type":"string"}},"type":"object"},"CreateConferenceRequest":{"properties":{"conferenceSolutionKey":{"$ref":"#/definitions/ConferenceSolutionKey"},"requestId":{"description":"The client-generated unique ID for this request.\nClients should regenerate this ID for every new request. If an ID provided is the same as for the previous request, the request is ignored.","type":"string"},"status":{"$ref":"#/definitions/ConferenceRequestStatus"}},"type":"object"},"EntryPoint":{"properties":{"accessCode":{"description":"The access code to access the conference. The maximum length is 128 characters.\nWhen creating new conference data, populate only the subset of {meetingCode, accessCode, passcode, password, pin} fields that match the terminology that the conference provider uses. Only the populated fields should be displayed.\nOptional.","type":"string"},"entryPointFeatures":{"description":"Features of the entry point, such as being toll or toll-free. One entry point can have multiple features. However, toll and toll-free cannot be both set on the same entry point.","items":{"type":"string"},"type":"array"},"entryPointType":{"description":"The type of the conference entry point.\nPossible values are:  \n- \"video\" - joining a conference over HTTP. A conference can have zero or one video entry point.\n- \"phone\" - joining a conference by dialing a phone number. A conference can have zero or more phone entry points.\n- \"sip\" - joining a conference over SIP. A conference can have zero or one sip entry point.\n- \"more\" - further conference joining instructions, for example additional phone numbers. A conference can have zero or one more entry point. A conference with only a more entry point is not a valid conference.","type":"string"},"label":{"description":"The label for the URI. Visible to end users. Not localized. The maximum length is 512 characters.\nExamples:  \n- for video: meet.google.com/aaa-bbbb-ccc\n- for phone: +1 123 268 2601\n- for sip: 12345678@altostrat.com\n- for more: should not be filled  \nOptional.","type":"string"},"meetingCode":{"description":"The meeting code to access the conference. The maximum length is 128 characters.\nWhen creating new conference data, populate only the subset of {meetingCode, accessCode, passcode, password, pin} fields that match the terminology that the conference provider uses. Only the populated fields should be displayed.\nOptional.","type":"string"},"passcode":{"description":"The passcode to access the conference. The maximum length is 128 characters.\nWhen creating new conference data, populate only the subset of {meetingCode, accessCode, passcode, password, pin} fields that match the terminology that the conference provider uses. Only the populated fields should be displayed.","type":"string"},"password":{"description":"The password to access the conference. The maximum length is 128 characters.\nWhen creating new conference data, populate only the subset of {meetingCode, accessCode, passcode, password, pin} fields that match the terminology that the conference provider uses. Only the populated fields should be displayed.\nOptional.","type":"string"},"pin":{"description":"The PIN to access the conference. The maximum length is 128 characters.\nWhen creating new conference data, populate only the subset of {meetingCode, accessCode, passcode, password, pin} fields that match the terminology that the conference provider uses. Only the populated fields should be displayed.\nOptional.","type":"string"},"regionCode":{"description":"The CLDR/ISO 3166 region code for the country associated with this phone access. Example: \"SE\" for Sweden.\nCalendar backend will populate this field only for EntryPointType.PHONE.","type":"string"},"uri":{"description":"The URI of the entry point. The maximum length is 1300 characters.\nFormat:  \n- for video, http: or https: schema is required.\n- for phone, tel: schema is required. The URI should include the entire dial sequence (e.g., tel:+12345678900,,,123456789;1234).\n- for sip, sip: schema is required, e.g., sip:12345678@myprovider.com.\n- for more, http: or https: schema is required.","type":"string"}},"type":"object"},"ConferenceParameters":{"properties":{"addOnParameters":{"$ref":"#/definitions/ConferenceParametersAddOnParameters"}},"type":"object"},"ConferenceSolutionKey":{"properties":{"type":{"description":"The conference solution type.\nIf a client encounters an unfamiliar or empty type, it should still be able to display the entry points. However, it should disallow modifications.\nThe possible values are:  \n- \"eventHangout\" for Hangouts for consumers (deprecated; existing events may show this conference solution type but new conferences cannot be created)\n- \"eventNamedHangout\" for classic Hangouts for Google Workspace users (deprecated; existing events may show this conference solution type but new conferences cannot be created)\n- \"hangoutsMeet\" for Google Meet (http://meet.google.com)\n- \"addOn\" for 3P conference providers","type":"string"}},"type":"object"},"ConferenceRequestStatus":{"properties":{"statusCode":{"description":"The current status of the conference create request. Read-only.\nThe possible values are:  \n- \"pending\": the conference create request is still being processed.\n- \"success\": the conference create request succeeded, the entry points are populated.\n- \"failure\": the conference create request failed, there are no entry points.","type":"string"}},"type":"object"},"ConferenceParametersAddOnParameters":{"properties":{"parameters":{"additionalProperties":{"type":"string"},"type":"object"}},"type":"object"}}},"name":"Updates an event","id":"google-calendar.calendar.events.patch","example":{"path":{"calendarId":"example","eventId":"example"},"body":{}},"maxRequests":1,"summary":false}}